Examplary
  • Start for free

    Create library item

    Adds an item to the library. Only the publisher owner can add items to their publisher profile.

    POST https://api.examplary.ai/library/publishers/{publisherId}/items

    Path parameters

    publisherIdstringrequired

    Request body

    application/json
    resourceTypestring· const: examrequired

    The type of resource being added to the library. Currently only 'exam' is supported.

    resourceIdstringrequired

    The ID of the resource being added to the library, e.g. `exam_123`.

    descriptionstringrequired

    A publicly visible description of the library item.

    namestring· nullable

    The name of the library item. If not provided, the name of the original resource will be used.

    studentLevelstring· nullable

    The student level associated with the library item.

    subjectstring· nullable

    The subject associated with the library item.

    tagsarray string[] | null· nullable

    Optional tags, e.g. ['math', 'science'].

    Requirements

    OAuth scopes

    This endpoint requires the library:write scope to be present.